Bug 331211 - Latest captured packet does not appear on the list while capturing
Latest captured packet does not appear on the list while capturing
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-14 03:16 EDT by Juha Leppänen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-15 03:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juha Leppänen 2007-10-14 03:16:38 EDT
Description of problem:

Wireshark does not show the last packet captured on the packet list.
For example if someone sends an UDP NetrSendMessenger packet and my
PC sends back a ICMP reject packet, only the received UDP packet is shown
right away. When the next packet is captured, even minutes later,
the previous sent ICMP reject packet is shown, with the correct time
so I assume it was sent immediately after the UDP packet was received.
But again the latest packet just captured does not appear on the list.
When stopping capture, the latest captured packet appears on list.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start wireshark, give root password.
2. Start capturing, with "not arp" as capture option. 
Actual results:

Latest captured packet not shown on the list.

Expected results:

List of captured packets should be uptodate.

Additional info:

I noticed also that yum-updatesd leaves connections
to mirrors in CLOSE_WAIT state for hours, with 1 byte in Recv-Queue
for each connection. I don't know if this has nothing to do
with the problem with wireshark ... ?
Comment 1 Juha Leppänen 2007-10-14 03:38:32 EDT
Better Summary: "Wireshark - List of captured packets missing the latest one"
Comment 2 Radek Vokal 2007-10-15 03:31:21 EDT
This is known bug which seems to be fixed in latest upstream built. See comments
in http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1181

I'm closing this bug as Fixed UPSTREAM, will appear in next version of wireshark.

Note You need to log in before you can comment on or make changes to this bug.